Bug 1928141 - kube-storage-version-migrator constantly reporting type "Upgradeable" status Unknown
Summary: kube-storage-version-migrator constantly reporting type "Upgradeable" status ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-storage-version-migrator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.10.0
Assignee: Luis Sanchez
QA Contact: Rahul Gangwar
URL:
Whiteboard: tag-ci LifecycleReset
Depends On:
Blocks: 2016176
TreeView+ depends on / blocked
 
Reported: 2021-02-12 13:24 UTC by gvanderp
Modified: 2022-03-10 16:03 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1948011 2016176 (view as bug list)
Environment:
Last Closed: 2022-03-10 16:02:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-storage-version-migrator-operator pull 64 0 None Merged Bug 1928141: kube-storage-version-migrator constantly reporting type "Upgradeable" status Unknown 2021-10-19 22:04:00 UTC
Github openshift cluster-kube-storage-version-migrator-operator pull 71 0 None Merged Bug 1928141: kube-storage-version-migrator constantly reporting type "Upgradeable" status Unknown 2021-10-20 15:09:15 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-10 16:03:19 UTC

Description gvanderp 2021-02-12 13:24:36 UTC
Description of problem:
We observe that kube-storage-version-migrator is constantly reporting Upgradeable type, Unknown status

Version-Release number of selected component (if applicable):
Observed in 4.6.15, probably present before

How reproducible:
100% of observed cases

Steps to Reproduce:
1. Create an OCP cluster
2. describe cluster operator kube-storage-version-migrator


Actual results:
oc get clusterversion
NAME      VERSION   AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.15    True        False         20m     Cluster version is 4.6.15

oc get clusteroperators | grep kube-storage
kube-storage-version-migrator              4.6.15    True        False         False      10m

oc describe co/kube-storage-version-migrator | grep -B 3 Upgradeable
    Last Transition Time:  2021-02-12T12:14:01Z
    Reason:                NoData
    Status:                Unknown
    Type:                  Upgradeable

Expected results:
This cluster operator should be reported Upgradeable True (most of the time), False in case of problem but not Unknown

Additional info:

Comment 2 Rick Rackow 2021-02-12 13:31:09 UTC
Adding ServiceDeliveryImpact as this is blurring the view for the ARO team

Comment 3 W. Trevor King 2021-02-12 21:24:13 UTC
[1] was my attempt to have library-go-based operators who don't care default to Upgradeable=True, but it rotted out to lack of interest.  I'm happy to revive if there is renewed interest.

[1]: https://github.com/openshift/library-go/pull/802

Comment 4 Mangirdas Judeikis 2021-02-16 09:18:54 UTC
Trevor, I think reviving might be good call

Comment 5 W. Trevor King 2021-02-20 07:00:22 UTC
I've revived my library-go PR [1].  Anyone who knows how to get library-go maintainer interest, please pull those levers ;).

[1]: https://github.com/openshift/library-go/pull/802#issuecomment-782575095

Comment 6 Michal Fojtik 2021-03-22 07:20:21 UTC
This bug hasn't had any activity in the last 30 days. Maybe the problem got resolved, was a duplicate of something else, or became less pressing for some reason - or maybe it's still relevant but just hasn't been looked at yet. As such, we're marking this bug as "LifecycleStale" and decreasing the severity/priority. If you have further information on the current state of the bug, please update it, otherwise this bug can be closed in about 7 days. The information can be, for example, that the problem still occurs, that you still want the feature, that more information is needed, or that the bug is (for whatever reason) no longer relevant. Additionally, you can add LifecycleFrozen into Keywords if you think this bug should never be marked as stale. Please consult with bug assignee before you do that.

Comment 7 gvanderp 2021-03-22 07:21:49 UTC
The bug is still active and needs to be resolved. Thanks

Comment 8 Michal Fojtik 2021-03-22 08:20:33 UTC
The LifecycleStale keyword was removed because the bug got commented on recently.
The bug assignee was notified.

Comment 9 Michal Fojtik 2021-04-21 09:00:17 UTC
This bug hasn't had any activity in the last 30 days. Maybe the problem got resolved, was a duplicate of something else, or became less pressing for some reason - or maybe it's still relevant but just hasn't been looked at yet. As such, we're marking this bug as "LifecycleStale" and decreasing the severity/priority. If you have further information on the current state of the bug, please update it, otherwise this bug can be closed in about 7 days. The information can be, for example, that the problem still occurs, that you still want the feature, that more information is needed, or that the bug is (for whatever reason) no longer relevant. Additionally, you can add LifecycleFrozen into Keywords if you think this bug should never be marked as stale. Please consult with bug assignee before you do that.

Comment 10 W. Trevor King 2021-04-22 00:03:33 UTC
This bug is now linked as an exception for origin's guards against other operators behaving similarly [1].  We need to fix the operator so we can drop the exception.

[1]: https://github.com/openshift/origin/commit/82542badb16304f3929148304c7a7b4aa6100ad1#diff-b5009437f29876beb3655b1886c06987adca1c8dde9f81cfa7d81716fd4966bbR222

Comment 11 Michal Fojtik 2021-04-22 00:09:01 UTC
The LifecycleStale keyword was removed because the bug got commented on recently.
The bug assignee was notified.

Comment 12 Michal Fojtik 2021-05-22 00:31:35 UTC
This bug hasn't had any activity in the last 30 days. Maybe the problem got resolved, was a duplicate of something else, or became less pressing for some reason - or maybe it's still relevant but just hasn't been looked at yet. As such, we're marking this bug as "LifecycleStale" and decreasing the severity/priority. If you have further information on the current state of the bug, please update it, otherwise this bug can be closed in about 7 days. The information can be, for example, that the problem still occurs, that you still want the feature, that more information is needed, or that the bug is (for whatever reason) no longer relevant. Additionally, you can add LifecycleFrozen into Keywords if you think this bug should never be marked as stale. Please consult with bug assignee before you do that.

Comment 13 W. Trevor King 2021-05-22 03:44:27 UTC
Still a bug:

$ w3m -dump -cols 200 'https://search.ci.openshift.org/search?maxAge=48h&type=junit&context=0&search=clusteroperator/kube-storage-version-migrator.*Upgradeable' | jq -r 'to_entries[].value | to_entries[].value[].context[]' | grep -c '"status":"Unknown","type":"Upgradeable"'
74

Whenever you're tired of this being a bug, feel free to drop the exception mentioned in comment 10, which will break e2e until this gets fixed ;)

Comment 14 Michal Fojtik 2021-05-22 04:31:41 UTC
The LifecycleStale keyword was removed because the bug got commented on recently.
The bug assignee was notified.

Comment 15 Michal Fojtik 2021-05-22 05:31:43 UTC
The LifecycleStale keyword was removed because the bug got commented on recently.
The bug assignee was notified.

Comment 16 Michal Fojtik 2021-06-21 06:29:42 UTC
This bug hasn't had any activity in the last 30 days. Maybe the problem got resolved, was a duplicate of something else, or became less pressing for some reason - or maybe it's still relevant but just hasn't been looked at yet. As such, we're marking this bug as "LifecycleStale" and decreasing the severity/priority. If you have further information on the current state of the bug, please update it, otherwise this bug can be closed in about 7 days. The information can be, for example, that the problem still occurs, that you still want the feature, that more information is needed, or that the bug is (for whatever reason) no longer relevant. Additionally, you can add LifecycleFrozen into Keywords if you think this bug should never be marked as stale. Please consult with bug assignee before you do that.

Comment 17 DRamseur 2021-08-02 21:24:19 UTC
Please assign someone to look into this issue. Thanks!

Comment 18 Michal Fojtik 2021-08-02 21:47:12 UTC
The LifecycleStale keyword was removed because the bug got commented on recently.
The bug assignee was notified.

Comment 22 Rahul Gangwar 2021-09-22 09:56:18 UTC
Still get status unknown

oc get clusterversion
NAME      VERSION                              AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.10.0-0.nightly-2021-09-21-181111   True        False         5h42m   Cluster version is 4.10.0-0.nightly-2021-09-21-181111

oc describe co/kube-storage-version-migrator | grep -B 3 Upgradeable
    Last Transition Time:  2021-09-22T03:56:03Z
    Reason:                NoData
    Status:                Unknown
    Type:                  Upgradeable

Comment 23 DRamseur 2021-10-15 14:00:32 UTC
@sanchezl@redhat.com  - Please provide an update. This item failed QA.

Comment 26 Rahul Gangwar 2021-10-21 07:04:38 UTC
oc get clusterversion 
NAME      VERSION                              AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.10.0-0.nightly-2021-10-20-193037   True        False         7m      Cluster version is 4.10.0-0.nightly-2021-10-20-193037

oc get clusteroperators | grep kube-storage
kube-storage-version-migrator              4.10.0-0.nightly-2021-10-20-193037   True        False         False      22m
   
oc describe co/kube-storage-version-migrator | grep -B 3 Upgradeable
    Message:               All is well
    Reason:                AsExpected
    Status:                True
    Type:                  Upgradeable

Comment 33 errata-xmlrpc 2022-03-10 16:02:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.